package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class FeedbackDetailBean {

    /**
     * id : bb5b927843ff4696934663853e09de5f
     * createDateTime : null
     * updateDateTime : null
     * feedbackCode : SCFK2005001
     * productId : 7101010688L
     * productCode : 7101010688L
     * productName : 塞棒(高碱）加套B354-2
     * drawingNumber : xxxxx
     * verson : null
     * specification : null
     * customerId : KG00001
     * customerName : 安徽创宇电力设备有限公司
     * saleUserId : null
     * saleUserCode : null
     * saleUserName : null
     * phoneNumber : null
     * boxId : null
     * boxCode : BOX003
     * serialNumber : SERIAL0001,cccc,SERIAL0001
     * caster : null
     * casterName : null
     * defectId : null
     * defectCode : null
     * defectName : 11
     * mainCause : null
     * defectCount : null
     * defectCounts : null
     * steelTypeId : null
     * steelTypeName : null
     * feedbackDescription : 1111
     * otherProviderBehavior : 2222
     * salerOpinion : 3333
     * attachmentId : null
     * factoryAnalysis : null
     * factoryLeaderOpinion : null
     * factoryImplement : null
     * procedureId : null
     * procedureCode : null
     * procedureName : null
     * defectMudId : null
     * defectMudCode : null
     * defectMudName : null
     * rapidResponse : null
     * customerResponse : null
     * relatedRecord : null
     * seriesName : null
     * seriesType : null
     * severity : null
     * treatRectPlan : null
     * status : 2
     * attachments : null
     * responsibleUserId : null
     * responsibleUserName : null
     * factoryTreatmentDateTime : null
     * verifyUserId : null
     * verifyUserName : null
     * verifyUserDate : null
     * recordUserId : null
     * recorUserName : null
     * recorUserDate : null
     * responsibleDealId : null
     * responsibleDealName : null
     * responsibleDealDate : null
     * responsibleCustId : null
     * responsibleCustName : null
     * responsibleCustDate : null
     * approvalUserId : null
     * approvalUserName : null
     * approvalUserDate : null
     * createUserId : 398c852b38e911ea8334fa163e1166bd
     * createUserName : hello
     * updateUserId : 398c852b38e911ea8334fa163e1166bd
     * updateUserName : hello
     * attachmentVO : {"id":null,"name":"IMG_0006.HEIC","path":"group1/M00/00/0C/wKgAwV601HuAFDgIAADw7ZSVvKY987.png","type":"HEIC","size":1332552,"url":"http://114.116.55.221/group1/M00/00/0C/wKgAwV601HuAFDgIAADw7ZSVvKY987.png"}
     * defectMudIds : null
     * delete : false
     */

    private String id;
    private Object createDateTime;
    private Object updateDateTime;
    private String feedbackCode;
    private String productId;
    private String productCode;
    private String productName;
    private String drawingNumber;
    private String verson;
    private String specification;
    private String customerId;
    private String customerName;
    private Object saleUserId;
    private String saleUserCode;
    private String saleUserName;
    private String phoneNumber;
    private Object boxId;
    private String boxCode;
    private String serialNumber;
    private Object caster;
    private String casterName;
    private Object defectId;
    private Object defectCode;
    private String defectName;
    private String mainCause;
    private String defectCount;
    private Object defectCounts;
    private String steelTypeId;
    private String steelTypeName;
    private String feedbackDescription;
    private String otherProviderBehavior;
    private String salerOpinion;
    private Object attachmentId;
    private String factoryAnalysis;
    private String factoryLeaderOpinion;
    private String factoryImplement;
    private Object procedureId;
    private String procedureCode;
    private Object procedureName;
    private Object defectMudId;
    private Object defectMudCode;
    private String defectMudName;
    private String rapidResponse;
    private String customerResponse;
    private String relatedRecord;
    private Object seriesName;
    private Object seriesType;
    private Object severity;
    private String treatRectPlan;
    private String status;
    private  List<ImageBean> attachments;
    private Object responsibleUserId;
    private String responsibleUserName;
    private String factoryTreatmentDateTime;
    private Object verifyUserId;
    private String verifyUserName;
    private Object verifyUserDate;
    private Object recordUserId;
    private String recorUserName;
    private Object recorUserDate;
    private Object responsibleDealId;
    private String responsibleDealName;
    private Object responsibleDealDate;
    private Object responsibleCustId;
    private Object responsibleCustName;
    private Object responsibleCustDate;
    private Object approvalUserId;
    private String approvalUserName;
    private Object approvalUserDate;
    private String createUserId;
    private String createUserName;
    private String updateUserId;
    private String updateUserName;
    private AttachmentVOBean attachmentVO;
    private Object defectMudIds;
    private boolean delete;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Object getCreateDateTime() {
        return createDateTime;
    }

    public void setCreateDateTime(Object createDateTime) {
        this.createDateTime = createDateTime;
    }

    public Object getUpdateDateTime() {
        return updateDateTime;
    }

    public void setUpdateDateTime(Object updateDateTime) {
        this.updateDateTime = updateDateTime;
    }

    public String getFeedbackCode() {
        return feedbackCode;
    }

    public void setFeedbackCode(String feedbackCode) {
        this.feedbackCode = feedbackCode;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getDrawingNumber() {
        return drawingNumber;
    }

    public void setDrawingNumber(String drawingNumber) {
        this.drawingNumber = drawingNumber;
    }

    public String getVerson() {
        return verson;
    }

    public void setVerson(String verson) {
        this.verson = verson;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public Object getSaleUserId() {
        return saleUserId;
    }

    public void setSaleUserId(Object saleUserId) {
        this.saleUserId = saleUserId;
    }

    public String getSaleUserCode() {
        return saleUserCode;
    }

    public void setSaleUserCode(String saleUserCode) {
        this.saleUserCode = saleUserCode;
    }

    public String getSaleUserName() {
        return saleUserName;
    }

    public void setSaleUserName(String saleUserName) {
        this.saleUserName = saleUserName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public Object getBoxId() {
        return boxId;
    }

    public void setBoxId(Object boxId) {
        this.boxId = boxId;
    }

    public String getBoxCode() {
        return boxCode;
    }

    public void setBoxCode(String boxCode) {
        this.boxCode = boxCode;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Object getCaster() {
        return caster;
    }

    public void setCaster(Object caster) {
        this.caster = caster;
    }

    public String getCasterName() {
        return casterName;
    }

    public void setCasterName(String casterName) {
        this.casterName = casterName;
    }

    public Object getDefectId() {
        return defectId;
    }

    public void setDefectId(Object defectId) {
        this.defectId = defectId;
    }

    public Object getDefectCode() {
        return defectCode;
    }

    public void setDefectCode(Object defectCode) {
        this.defectCode = defectCode;
    }

    public String getDefectName() {
        return defectName;
    }

    public void setDefectName(String defectName) {
        this.defectName = defectName;
    }

    public String getMainCause() {
        return mainCause;
    }

    public void setMainCause(String mainCause) {
        this.mainCause = mainCause;
    }

    public String getDefectCount() {
        return defectCount;
    }

    public void setDefectCount(String defectCount) {
        this.defectCount = defectCount;
    }

    public Object getDefectCounts() {
        return defectCounts;
    }

    public void setDefectCounts(Object defectCounts) {
        this.defectCounts = defectCounts;
    }

    public String getSteelTypeId() {
        return steelTypeId;
    }

    public void setSteelTypeId(String steelTypeId) {
        this.steelTypeId = steelTypeId;
    }

    public String getSteelTypeName() {
        return steelTypeName;
    }

    public void setSteelTypeName(String steelTypeName) {
        this.steelTypeName = steelTypeName;
    }

    public String getFeedbackDescription() {
        return feedbackDescription;
    }

    public void setFeedbackDescription(String feedbackDescription) {
        this.feedbackDescription = feedbackDescription;
    }

    public String getOtherProviderBehavior() {
        return otherProviderBehavior;
    }

    public void setOtherProviderBehavior(String otherProviderBehavior) {
        this.otherProviderBehavior = otherProviderBehavior;
    }

    public String getSalerOpinion() {
        return salerOpinion;
    }

    public void setSalerOpinion(String salerOpinion) {
        this.salerOpinion = salerOpinion;
    }

    public Object getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Object attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getFactoryAnalysis() {
        return factoryAnalysis;
    }

    public void setFactoryAnalysis(String factoryAnalysis) {
        this.factoryAnalysis = factoryAnalysis;
    }

    public String getFactoryLeaderOpinion() {
        return factoryLeaderOpinion;
    }

    public void setFactoryLeaderOpinion(String factoryLeaderOpinion) {
        this.factoryLeaderOpinion = factoryLeaderOpinion;
    }

    public String getFactoryImplement() {
        return factoryImplement;
    }

    public void setFactoryImplement(String factoryImplement) {
        this.factoryImplement = factoryImplement;
    }

    public Object getProcedureId() {
        return procedureId;
    }

    public void setProcedureId(Object procedureId) {
        this.procedureId = procedureId;
    }

    public String getProcedureCode() {
        return procedureCode;
    }

    public void setProcedureCode(String procedureCode) {
        this.procedureCode = procedureCode;
    }

    public Object getProcedureName() {
        return procedureName;
    }

    public void setProcedureName(Object procedureName) {
        this.procedureName = procedureName;
    }

    public Object getDefectMudId() {
        return defectMudId;
    }

    public void setDefectMudId(Object defectMudId) {
        this.defectMudId = defectMudId;
    }

    public Object getDefectMudCode() {
        return defectMudCode;
    }

    public void setDefectMudCode(Object defectMudCode) {
        this.defectMudCode = defectMudCode;
    }

    public String getDefectMudName() {
        return defectMudName;
    }

    public void setDefectMudName(String defectMudName) {
        this.defectMudName = defectMudName;
    }

    public String getRapidResponse() {
        return rapidResponse;
    }

    public void setRapidResponse(String rapidResponse) {
        this.rapidResponse = rapidResponse;
    }

    public String getCustomerResponse() {
        return customerResponse;
    }

    public void setCustomerResponse(String customerResponse) {
        this.customerResponse = customerResponse;
    }

    public String getRelatedRecord() {
        return relatedRecord;
    }

    public void setRelatedRecord(String relatedRecord) {
        this.relatedRecord = relatedRecord;
    }

    public Object getSeriesName() {
        return seriesName;
    }

    public void setSeriesName(Object seriesName) {
        this.seriesName = seriesName;
    }

    public Object getSeriesType() {
        return seriesType;
    }

    public void setSeriesType(Object seriesType) {
        this.seriesType = seriesType;
    }

    public Object getSeverity() {
        return severity;
    }

    public void setSeverity(Object severity) {
        this.severity = severity;
    }

    public String getTreatRectPlan() {
        return treatRectPlan;
    }

    public void setTreatRectPlan(String treatRectPlan) {
        this.treatRectPlan = treatRectPlan;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public  List<ImageBean> getAttachments() {
        return attachments;
    }

    public void setAttachments( List<ImageBean> attachments) {
        this.attachments = attachments;
    }

    public Object getResponsibleUserId() {
        return responsibleUserId;
    }

    public void setResponsibleUserId(Object responsibleUserId) {
        this.responsibleUserId = responsibleUserId;
    }

    public String getResponsibleUserName() {
        return responsibleUserName;
    }

    public void setResponsibleUserName(String responsibleUserName) {
        this.responsibleUserName = responsibleUserName;
    }

    public String getFactoryTreatmentDateTime() {
        return factoryTreatmentDateTime;
    }

    public void setFactoryTreatmentDateTime(String factoryTreatmentDateTime) {
        this.factoryTreatmentDateTime = factoryTreatmentDateTime;
    }

    public Object getVerifyUserId() {
        return verifyUserId;
    }

    public void setVerifyUserId(Object verifyUserId) {
        this.verifyUserId = verifyUserId;
    }

    public String getVerifyUserName() {
        return verifyUserName;
    }

    public void setVerifyUserName(String verifyUserName) {
        this.verifyUserName = verifyUserName;
    }

    public Object getVerifyUserDate() {
        return verifyUserDate;
    }

    public void setVerifyUserDate(Object verifyUserDate) {
        this.verifyUserDate = verifyUserDate;
    }

    public Object getRecordUserId() {
        return recordUserId;
    }

    public void setRecordUserId(Object recordUserId) {
        this.recordUserId = recordUserId;
    }

    public String getRecorUserName() {
        return recorUserName;
    }

    public void setRecorUserName(String recorUserName) {
        this.recorUserName = recorUserName;
    }

    public Object getRecorUserDate() {
        return recorUserDate;
    }

    public void setRecorUserDate(Object recorUserDate) {
        this.recorUserDate = recorUserDate;
    }

    public Object getResponsibleDealId() {
        return responsibleDealId;
    }

    public void setResponsibleDealId(Object responsibleDealId) {
        this.responsibleDealId = responsibleDealId;
    }

    public String getResponsibleDealName() {
        return responsibleDealName;
    }

    public void setResponsibleDealName(String responsibleDealName) {
        this.responsibleDealName = responsibleDealName;
    }

    public Object getResponsibleDealDate() {
        return responsibleDealDate;
    }

    public void setResponsibleDealDate(Object responsibleDealDate) {
        this.responsibleDealDate = responsibleDealDate;
    }

    public Object getResponsibleCustId() {
        return responsibleCustId;
    }

    public void setResponsibleCustId(Object responsibleCustId) {
        this.responsibleCustId = responsibleCustId;
    }

    public Object getResponsibleCustName() {
        return responsibleCustName;
    }

    public void setResponsibleCustName(Object responsibleCustName) {
        this.responsibleCustName = responsibleCustName;
    }

    public Object getResponsibleCustDate() {
        return responsibleCustDate;
    }

    public void setResponsibleCustDate(Object responsibleCustDate) {
        this.responsibleCustDate = responsibleCustDate;
    }

    public Object getApprovalUserId() {
        return approvalUserId;
    }

    public void setApprovalUserId(Object approvalUserId) {
        this.approvalUserId = approvalUserId;
    }

    public String getApprovalUserName() {
        return approvalUserName;
    }

    public void setApprovalUserName(String approvalUserName) {
        this.approvalUserName = approvalUserName;
    }

    public Object getApprovalUserDate() {
        return approvalUserDate;
    }

    public void setApprovalUserDate(Object approvalUserDate) {
        this.approvalUserDate = approvalUserDate;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public AttachmentVOBean getAttachmentVO() {
        return attachmentVO;
    }

    public void setAttachmentVO(AttachmentVOBean attachmentVO) {
        this.attachmentVO = attachmentVO;
    }

    public Object getDefectMudIds() {
        return defectMudIds;
    }

    public void setDefectMudIds(Object defectMudIds) {
        this.defectMudIds = defectMudIds;
    }

    public boolean isDelete() {
        return delete;
    }

    public void setDelete(boolean delete) {
        this.delete = delete;
    }

    public static class AttachmentVOBean {
        /**
         * id : null
         * name : IMG_0006.HEIC
         * path : group1/M00/00/0C/wKgAwV601HuAFDgIAADw7ZSVvKY987.png
         * type : HEIC
         * size : 1332552
         * url : http://114.116.55.221/group1/M00/00/0C/wKgAwV601HuAFDgIAADw7ZSVvKY987.png
         */

        private Object id;
        private String name;
        private String path;
        private String type;
        private int size;
        private String url;

        public Object getId() {
            return id;
        }

        public void setId(Object id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getPath() {
            return path;
        }

        public void setPath(String path) {
            this.path = path;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }
    }
}
